import json
import time
import zmq
import sys
sys.path.append("../../bpi_imports/")  # Make import search the 'bpi_import' directory also.
import bpi_communication


def read_arm_version(file_name):
    """
    We assume that only one MCA is attached, and that the MCA Data Server is running.
    Read the arm_version registers.

    :param file_name: Write the arm version registers to this file.
    :return:
    """

    mds_client, sn = bpi_communication.connect_one_device()

    # Read arm_version
    cmd = {"type": "mca_cmd", "name": "arm_version", "dir": "read", "sn": sn}
    ret = mds_client.sar(cmd)
    arm_version = ret[sn]

    with open(file_name, 'w') as fout:
        fout.write(json.dumps(arm_version) + ",\n")


read_arm_version(file_name="../data/arm_version.json")
