import json
import matplotlib.pyplot as plt
import peak_plot_controls as pc
import sys
sys.path.append("../../bpi_imports/")  # Make import search the 'import' directory in the parent directory also.
import bpi_plots


def get_peaks(file_name):
    peaks = []
    fwhms = []
    temperatures = []
    with open(file_name, 'r') as fin:
        for line in fin:
            dd = json.loads(line)  # Load the data dictionary
            peaks += [dd["peak_pos"]]
            fwhms += [dd["fwhm"]]
            temperatures += [dd["temperature"]]

    return temperatures, fwhms, peaks

PLOT_TIME_SERIES = True
PLOT_TEMPERATURE_SERIES = True
DELTA_T = 10  # The dwell time during the histogram data acquisition;

temperatures, fwhms, peaks = get_peaks("../data/peaks.dat")
idx_data = [n*DELTA_T for n in range(len(peaks))]

if PLOT_TIME_SERIES:
    pc.plot_ctrl["labels"]["xlabel"] = "Time, sec"
    pc.plot_ctrl["labels"]["ylabel"] = "Temperature, deg. C"
    pc.plot_ctrl["labels"]["title"] = "Temperature vs Time"
    bpi_plots.line_plot(idx_data, temperatures, pc.plot_ctrl)

    pc.plot_ctrl["labels"]["xlabel"] = "Time, sec"
    pc.plot_ctrl["labels"]["ylabel"] = "Peak position"
    pc.plot_ctrl["labels"]["title"] = "Peak position vs Time"
    bpi_plots.line_plot(idx_data, peaks, pc.plot_ctrl)

    pc.plot_ctrl["labels"]["xlabel"] = "Time, sec"
    pc.plot_ctrl["labels"]["ylabel"] = "fwhm, in %"
    pc.plot_ctrl["labels"]["title"] = "fwhm vs Time"
    bpi_plots.line_plot(idx_data, fwhms, pc.plot_ctrl)

if PLOT_TEMPERATURE_SERIES:
    pc.plot_ctrl["labels"]["xlabel"] = "Temperature, deg. C"
    pc.plot_ctrl["labels"]["ylabel"] = "Peak position"
    pc.plot_ctrl["labels"]["title"] = "Peak position vs Temperature"
    bpi_plots.line_plot(temperatures, peaks, pc.plot_ctrl)

    pc.plot_ctrl["labels"]["xlabel"] = "Temperature, deg. C"
    pc.plot_ctrl["labels"]["ylabel"] = "fwhm, in %"
    pc.plot_ctrl["labels"]["title"] = "fwhm vs Temperature"
    bpi_plots.line_plot(temperatures, fwhms, pc.plot_ctrl)



plt.show()
