import json
import matplotlib.pyplot as plt
import plot_controls as pc
import sys
sys.path.append("../../bpi_imports/")  # Make import search the 'import' directory in the parent directory also.
import bpi_plots


def get_vars(par):
    file_name = par["file_name"]
    with open(file_name, 'r') as fin:
        logs = json.loads(fin.readline())
        vars_0 = logs["var_0"]
        vars_1 = logs["var_1"]
        dt = logs["dt"]
        label_0 = logs["label_0"]
        label_1 = logs["label_1"]

    # The first entry may have stale data, so we replace it with the second.
    vars_0[0] = vars_0[1]
    vars_1[0] = vars_1[1]
    return dt, vars_0, vars_1, label_0, label_1


par = {
    "file_name": "../data/count_rate_log.json"
}
dt, vars_0, vars_1, label_0, label_1 = get_vars(par)
x_data = [n*dt for n in range(len(vars_0))]

pc.plot_ctrl["labels"]["xlabel"] = "Time, s"
pc.plot_ctrl["labels"]["ylabel"] = label_0
pc.plot_ctrl["labels"]["title"] = "{} vs Time".format(label_0)
bpi_plots.line_plot(x_data, vars_0, pc.plot_ctrl)

pc.plot_ctrl["labels"]["xlabel"] = "Time, s"
pc.plot_ctrl["labels"]["ylabel"] = label_1
pc.plot_ctrl["labels"]["title"] = "{} vs Time".format(label_1)
bpi_plots.line_plot(x_data, vars_1, pc.plot_ctrl)


plt.show()
