import json


def sum_histo(par):
    """
    Sum the histograms from the individual time slices in a file
    
    :param par["time_slice_file"] : The input data file
    :param par["sum_slice_file"] : The onput data file
    :return:
    """
    
    ssf_out = open(par['short_slice_file'], 'w')
    dd = { "events": 0, "triggers": 0, "histo_events": 0, "dead_time": 0, "event_rate": 0, "histogram": [0]*123 }
    with open(par['time_slice_file'], 'r') as fin:
        for num_line, line in enumerate(fin):
            if num_line == 0:
                continue
            ts = json.loads(line)
            dd["events"] += ts["events"]
            dd["triggers"] += ts["triggers"]
            dd["dead_time"] += ts["dead_time"]
            for n,h in enumerate(ts["histogram"]):
                dd["histogram"][n] += ts["histogram"][n]
                
            sh = sum(ts["histogram"])
            dd_out = {"events": ts["events"], "triggers": ts["triggers"], "histo_events": sh, "excess": sh-ts["events"]}  # "dead_time": ts["dead_time"],
            if dd_out["events"] != dd_out["histo_events"]:
                #print(num_line, dd_out["events"], dd_out["histo_events"])
                pass
            ssf_out.write(json.dumps(dd_out)+'\n')

    ssf_out.close()
    dd["histo_events"] = sum(dd["histogram"])
    dd["event_rate"] = dd["events"]/num_line*32
    with open(par["sum_slice_file"], "w") as fout:
        fout.write(json.dumps(dd, indent=4))
    


par={
    'time_slice_file': "../data/time_slices.dat",
    'sum_slice_file': "../data/sum_slice.json",
    'short_slice_file': "../data/short_slices.dat"
}

sum_histo(par)
